### Hierarchy

- unknown
  - MoneyGramAccountPayload

## Index

### Constructors

- constructor

### Methods

- getCountryCode
- getEmail
- getHolderName
- getState
- serializeBinary
- setCountryCode
- setEmail
- setHolderName
- setState
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new MoneyGramAccountPayload(): MoneyGramAccountPayload

- Inherited from jspb.Message.constructor

  #### Returns MoneyGramAccountPayload

## Methods

### getCountryCode

- getCountryCode(): string

- - Defined in src/protobuf/pb_pb.d.ts:4861

  #### Returns string

### getEmail

- getEmail(): string

- - Defined in src/protobuf/pb_pb.d.ts:4867

  #### Returns string

### getHolderName

- getHolderName(): string

- - Defined in src/protobuf/pb_pb.d.ts:4858

  #### Returns string

### getState

- getState(): string

- - Defined in src/protobuf/pb_pb.d.ts:4864

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:4870

  #### Returns Uint8Array

### setCountryCode

- setCountryCode(value: string): MoneyGramAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4862

  #### Parameters

  - ##### value: string

  #### Returns MoneyGramAccountPayload

### setEmail

- setEmail(value: string): MoneyGramAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4868

  #### Parameters

  - ##### value: string

  #### Returns MoneyGramAccountPayload

### setHolderName

- setHolderName(value: string): MoneyGramAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4859

  #### Parameters

  - ##### value: string

  #### Returns MoneyGramAccountPayload

### setState

- setState(value: string): MoneyGramAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4865

  #### Parameters

  - ##### value: string

  #### Returns MoneyGramAccountPayload

### toObject

- toObject(includeInstance?: boolean): MoneyGramAccountPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:4871

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns MoneyGramAccountPayload . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): MoneyGramAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4874

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns MoneyGramAccountPayload

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: MoneyGramAccountPayload, reader: BinaryReader): MoneyGramAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4875

  #### Parameters

  - ##### message: MoneyGramAccountPayload

  - ##### reader: BinaryReader

  #### Returns MoneyGramAccountPayload

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: MoneyGramAccountPayload, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:4873

  #### Parameters

  - ##### message: MoneyGramAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: MoneyGramAccountPayload ): MoneyGramAccountPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:4872

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: MoneyGramAccountPayload

  #### Returns MoneyGramAccountPayload . AsObject

Generated using TypeDoc